<template>
    <div class="reveal">
        <div class="slides" v-html="formatToRevealJS(id)"></div>
    </div>
</template>

<script>
import { formatToRevealJS } from "@/services/presentations";
import Reveal from "reveal.js";

export default {
    props: ["id"],
    mounted() {
        let deck = new Reveal(document.querySelector('.reveal'), { controls: true } );
        deck.initialize().then(() => { console.log("reveal.js is ready") });
    },
    methods: {
        formatToRevealJS,
    },
};
</script>
